Bug 196378 - Makefile-variables.mk:1: warning: NUL character seen; rest of line ignored
Makefile-variables.mk:1: warning: NUL character seen; rest of line ignored
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.0
PC Windows XP
: P2 (vote)
: 7.0
Assigned To: Alexander Simon
issues@cnd
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-06 23:05 UTC by soldatov
Modified: 2013-02-07 08:38 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2011-03-06 23:05:46 UTC
Remote host: localhost:2222 (Fedora 14)
Scenario:
- Add remote host
- Call "New Project" wizard
- Create Arguments project on remote host
- Launch project
==> Ok. But I see warnings in build log:
nbproject/private/Makefile-variables.mk:1: warning: NUL character seen; rest of line ignored

Full log:
Копирование файлов проекта в /home/sova/.netbeans/remote/localhost/sova-Windows-x86/ в sova@localhost:2222
nbproject/private/Makefile-variables.mk:1: warning: NUL character seen; rest of line ignored
"/usr/bin/gmake" -f nbproject/Makefile-Debug.mk QMAKE= SUBPROJECTS= .build-conf
gmake[1]: Entering directory `/home/sova/.netbeans/remote/localhost/sova-Windows-x86/D/tmp/Arguments_qqqqqq'
nbproject/private/Makefile-variables.mk:1: warning: NUL character seen; rest of line ignored
"/usr/bin/gmake"  -f nbproject/Makefile-Debug.mk dist/Debug/GNU-Linux-x86/arguments_qqqqqq
gmake[2]: Entering directory `/home/sova/.netbeans/remote/localhost/sova-Windows-x86/D/tmp/Arguments_qqqqqq'
nbproject/private/Makefile-variables.mk:1: warning: NUL character seen; rest of line ignored
mkdir -p build/Debug/GNU-Linux-x86/src
rm -f build/Debug/GNU-Linux-x86/src/args.o.d
gcc    -c -g -MMD -MP -MF build/Debug/GNU-Linux-x86/src/args.o.d -o build/Debug/GNU-Linux-x86/src/args.o src/args.c
mkdir -p dist/Debug/GNU-Linux-x86
gcc     -o dist/Debug/GNU-Linux-x86/arguments_qqqqqq build/Debug/GNU-Linux-x86/src/args.o  
gmake[2]: Leaving directory `/home/sova/.netbeans/remote/localhost/sova-Windows-x86/D/tmp/Arguments_qqqqqq'
gmake[1]: Leaving directory `/home/sova/.netbeans/remote/localhost/sova-Windows-x86/D/tmp/Arguments_qqqqqq'

ПОСТРОИТЬ SUCCESSFUL (общее время: 3s)
Comment 1 Alexander Simon 2011-03-07 08:21:55 UTC
Probably root cause is in using:
- new FileOutputStream(outputFileName);
Should be replaced on:
- outputFO.getOutputStream()
Comment 2 Alexander Simon 2011-03-07 08:26:54 UTC
Problematic methods:
MakeProjectGenerator.copyURLFile()
ConfigurationMakefileWriter.writeMakefileImpl()
ConfigurationMakefileWriter.writeMakefileVariables()
Comment 3 Vladimir Kvashin 2011-03-07 16:40:59 UTC
(In reply to comment #2)

Thanks for your thought. They are true for full remote. 

But this issue is about "ordinary" remote; "NUL character" message usually means an issue in rfs/preload machinery.
Comment 4 Vladimir Kvashin 2011-03-08 21:47:12 UTC
I wasn't able to reproduce this so far.
Is it still reproducible?
Comment 5 soldatov 2011-03-09 17:35:04 UTC
Yes. NetBeans IDE Dev (Build 201103090000) from netbeans.org
Comment 6 soldatov 2011-03-09 17:51:42 UTC
This warning appears if remote host is switched off in Services tab
Comment 7 soldatov 2011-03-10 15:54:49 UTC
Need to evaluate. Upgrade to P2.
Warning can be reproduced on one of machine (MacOSX+VirtualBox) in internal network.
Comment 8 Vladimir Kvashin 2011-03-10 16:16:26 UTC
It reproduces on a virtual machine that runs Fedora.
I made a quick investigation.

The project was built by GNU Make:
# gmake -v
# GNU Make 3.82
# Built for i386-redhat-linux-gnu

The Makefile-variables.mk file is being rewritten during make. It seems it is
being read and then written. At least this happen on the mentioned machine with
mentioned gmake.

For some reason this confuses rfs build machinery, at least when building on
this machine. When debugging on java side, effect disappears.

Such issue might happen, for example, if read and write requests were sent to
NetNeans in incorrect order.
Comment 9 Alexander Simon 2011-03-11 14:36:54 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/90ad19c76115
Comment 10 Alexander Simon 2011-03-11 14:48:09 UTC
last fix did not solve problem
Comment 11 Alexander Simon 2011-03-11 15:28:51 UTC
IMHO bug is in RFS controller.
See code responsible for creating nbproject/private/Makefile-variables.mk
(code from nbproject/Makefile-variables.mk):
-------------------8<--------------------------
#
# include compiler specific variables
#
# dmake command
ROOT:sh = test -f nbproject/private/Makefile-variables.mk || \
	mkdir -p nbproject/private && \
	touch nbproject/private/Makefile-variables.mk
#
# gmake command
.PHONY: $(shell test -f nbproject/private/Makefile-variables.mk || mkdir -p nbproject/private && touch nbproject/private/Makefile-variables.mk)
#
include nbproject/private/Makefile-variables.mk
-------------------8<--------------------------
You can see that makefile touches "nbproject/private/Makefile-variables.mk" after testing.
So bug in wring processing stat in RFS controller.
Comment 12 Alexander Simon 2011-03-11 15:33:06 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/c86be8b62a57
- replace test->cat
Comment 13 Alexander Simon 2011-03-11 15:33:32 UTC
QA, please, verify fix.
Comment 14 Quality Engineering 2011-03-12 09:44:58 UTC
Integrated into 'main-golden', will be available in build *201103120400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/90ad19c76115
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #196378 Makefile-variables.mk:1: warning: NUL character seen; rest of line ignored
Comment 15 soldatov 2011-03-14 13:45:28 UTC
Verified in NetBeans IDE Dev (Build cnd-main-5528-on-110314)
Warning is fixed
Comment 16 Alexander Simon 2011-03-14 16:28:07 UTC
additional fix:
http://hg.netbeans.org/cnd-main/rev/2d7be6463d34
Comment 17 Quality Engineering 2011-03-15 09:46:11 UTC
Integrated into 'main-golden', will be available in build *201103150400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2d7be6463d34
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #196378 Makefile-variables.mk:1: warning: NUL character seen; rest of line ignored
- check /bin and /usr/bin
Comment 18 Vladimir Kvashin 2011-03-15 13:52:27 UTC
I've just filed a related issue 196728 (more general one).
Comment 19 soldatov 2011-03-15 14:28:24 UTC
Verified in NetBeans IDE Dev (Build cnd-main-5537-on-110315)
Comment 20 Vladimir Voskresensky 2011-03-15 14:42:44 UTC
I'd like to revert introduction of "cat" and leave test as before, but put brackets in correspondent places instead
Comment 21 Alexander Simon 2011-03-16 09:23:10 UTC
fixed again, change set:
http://hg.netbeans.org/cnd-main/rev/918e585ae30d
Comment 22 Vladimir Voskresensky 2011-03-16 10:35:17 UTC
I reviewed 918e585ae30d and it's fine.
Comment 23 soldatov 2011-03-16 14:36:52 UTC
Verified. No any warnings in log
Comment 25 Quality Engineering 2011-03-17 09:54:42 UTC
Integrated into 'main-golden', will be available in build *201103170400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/918e585ae30d
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #196378 - Makefile-variables.mk:1: warning: NUL character seen; rest of line ignored
- last fix after code review
Comment 26 soldatov 2011-03-18 11:45:41 UTC
Verified in NetBeans IDE 7.0 RC1 (Build 201103180000)
Comment 27 js-java 2013-02-06 14:32:30 UTC
This is still on 7.2!
Comment 28 Alexander Simon 2013-02-07 07:25:49 UTC
(In reply to comment #27)
> This is still on 7.2!
QA please conform issue and provide steps to reproduce.
Comment 29 soldatov 2013-02-07 07:33:57 UTC
(In reply to comment #28)
> (In reply to comment #27)
> > This is still on 7.2!
> QA please conform issue and provide steps to reproduce.
I don't know why user reopened 2 bugs without any comments
Comment 30 Alexander Simon 2013-02-07 08:38:56 UTC
js-java,
please create another bug with steps to reproduce issue.
It seems you have another problem.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo